Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366028 - Review Request: python-flask-migrate - SQLAlchemy database migrations for Flask applications using Alembic
Summary: Review Request: python-flask-migrate - SQLAlchemy database migrations for Fla...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-10 19:47 UTC by Ralph Bean
Modified: 2016-09-06 22:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-29 15:37:23 UTC
zbyszek: fedora-review+


Attachments (Terms of Use)

Description Ralph Bean 2016-08-10 19:47:24 UTC
Spec URL: http://ralph.fedorapeople.org//python-flask-migrate.spec
SRPM URL: http://ralph.fedorapeople.org//python-flask-migrate-2.0.0-1.fc24.src.rpm

Description:
SQLAlchemy database migrations for Flask applications using Alembic.

Comment 1 Zbigniew Jędrzejewski-Szmek 2016-08-11 22:42:02 UTC
rpmlint says:
python2-flask-migrate.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/flask_migrate/templates/flask-multidb/env.py
python2-flask-migrate.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/flask_migrate/templates/flask-multidb/script.py.mako
python2-flask-migrate.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/flask_migrate/templates/flask/env.py
python2-flask-migrate.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/flask_migrate/templates/flask-multidb/README
python2-flask-migrate.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/flask_migrate/templates/flask/script.py.mako
python2-flask-migrate.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/flask_migrate/templates/flask/README
python3-flask-migrate.noarch: E: script-without-shebang /usr/lib/python3.5/site-packages/flask_migrate/templates/flask/README
python3-flask-migrate.noarch: E: script-without-shebang /usr/lib/python3.5/site-packages/flask_migrate/templates/flask-multidb/script.py.mako
python3-flask-migrate.noarch: E: script-without-shebang /usr/lib/python3.5/site-packages/flask_migrate/templates/flask-multidb/README
python3-flask-migrate.noarch: E: script-without-shebang /usr/lib/python3.5/site-packages/flask_migrate/templates/flask-multidb/env.py
python3-flask-migrate.noarch: E: script-without-shebang /usr/lib/python3.5/site-packages/flask_migrate/templates/flask/script.py.mako
python3-flask-migrate.noarch: E: script-without-shebang /usr/lib/python3.5/site-packages/flask_migrate/templates/flask/env.py

→ please chmod

python-flask-migrate.src:89: W: macro-in-comment %check
python-flask-migrate.src:90: W: macro-in-comment %{__python2}
python-flask-migrate.src:92: W: macro-in-comment %{__python3}
python-flask-migrate.src:93: W: macro-in-comment %endif

%sum macro is not needed, just use Summary: normally the first time, and then Summary: %{summary} in the subsequent ones.

You don't need to remove .egg-info, this guideline has been rescinded.

%description could be extended a bit.

+ package name is OK
+ license is acceptable (MIT)
+ license is specified correctly
+ latest version
+ modern python template is used
+ %python_provide is used
+ build/requires/BR look OK
+ no scriptlets necessary
+ fedora-review is happy
+ rpmlint output above, please fix the issues

Package is APPROVED.

Comment 2 Ralph Bean 2016-08-12 12:44:46 UTC
Will do, thanks Zbigniew!

Comment 3 Gwyn Ciesla 2016-08-15 14:20:15 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-flask-migrate

Comment 4 Fedora Update System 2016-08-23 11:53:52 UTC
python-flask-migrate-2.0.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6a598bc5db

Comment 5 Fedora Update System 2016-08-23 11:53:58 UTC
python-flask-migrate-2.0.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0c16f5b731

Comment 6 Fedora Update System 2016-08-23 23:21:02 UTC
python-flask-migrate-2.0.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0c16f5b731

Comment 7 Fedora Update System 2016-08-24 17:25:58 UTC
python-flask-migrate-2.0.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6a598bc5db

Comment 8 Fedora Update System 2016-08-29 15:37:21 UTC
python-flask-migrate-2.0.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-09-06 22:24:26 UTC
python-flask-migrate-2.0.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.